Bug 1876778 - Metrics graph does not get rendered if user goes via topology
Summary: Metrics graph does not get rendered if user goes via topology
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
URL:
Whiteboard:
: 1877257 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-08 06:53 UTC by Jaivardhan Kumar
Modified: 2020-09-22 13:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6546 None closed Bug 1876778: fixes issue with metrics not showing graph via topology 2020-09-18 11:56:39 UTC

Description Jaivardhan Kumar 2020-09-08 06:53:10 UTC
Description of problem:
When the user clicks on the workload monitoring graph on the side panel of the topology it is redirected to the Monitoring Metrics page but the graph does not get rendered.

Prerequisites (if any, like setup, operators/versions):

Steps to Reproduce
- Add a Deployment workload in the topology page.
- Click on the workload, side panel will open
- Go to the Monitoring tab and click on the graph

Actual results:
On clicking on the graph redirects the user to the Metrics page but not show the graph

Expected results:
On clicking on the graph redirects the user to the Metrics page and should show the graph

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:
4.6.0-0.nightly-2020-09-07-210458

Comment 3 Vikram Raj 2020-09-18 11:57:33 UTC
This issue has been resolved.


Verified on 4.6.0-0.nightly-2020-09-18-042646

Comment 4 Vikram Raj 2020-09-22 13:06:02 UTC
*** Bug 1877257 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.